## memcached 1.4.21

=== doc/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/memcached
pkgincludedir = $(includedir)/memcached
pkglibdir = $(libdir)/memcached
pkglibexecdir = $(libexecdir)/memcached
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
#am__append_1 = protocol-binary.txt protocol-binary-range.txt
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/m4/c99-backport.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoconf
AUTOHEADER = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoheader
AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.14
AWK = gawk
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DTRACE = 
DTRACEFLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_SASL = 
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -levent 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = memcached
PACKAGE_BUGREPORT = memcached@googlegroups.com
PACKAGE_NAME = memcached
PACKAGE_STRING = memcached 1.4.21
PACKAGE_TARNAME = memcached
PACKAGE_URL = 
PACKAGE_VERSION = 1.4.21
PATH_SEPARATOR = :
PROFILER = /usr/bin/gcov
PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
PROFILER_LDFLAGS = -lgcov
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.4.21
XML2RFC = no
XSLTPROC = no
abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
abs_top_builddir = /home/dormando/d/p/danga/git/memcached
abs_top_srcdir = /home/dormando/d/p/danga/git/memcached
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dormando/d/p/danga/git/memcached/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = memcached.1
EXTRA_DIST = *.txt
BUILT_SOURCES = $(am__append_1)
#MOSTLYCLEANFILES = protocol-binary.txt protocol-binary-range.txt
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \

=== debian/changelog ===
memcached (1.4.21-1.1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Heap-based buffer over-read in try_read_command function (CVE-2017-9951)
    (Closes: #868701)
  * disable UDP port by default (CVE-2018-1000115)
  * debian/NEWS: Add explanation and document how to re-enable UDP if
    necessary
  * Don't overflow item refcount on get (CVE-2018-1000127) (Closes: #894404)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Jun 2018 15:21:23 +0200

memcached (1.4.21-1.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to fix various issues reported by the Cisco TALOS project.
    CVE-2016-8704: Server append/prepend remote code execution
    CVE-2016-8705: Server update remote code execution
    CVE-2016-8706: Server ASL authentication remote code execution
    (Closes: #842811, #842812, #842814)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 01 Nov 2016 22:10:45 +0100

memcached (1.4.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Guillaume Delacour ]
  * Provide systemd perl wrapper to load /etc/memcached.conf settings, thanks
    Christos Trochalakis (Closes: #774087)

 -- Ivo De Decker <ivodd@debian.org>  Sat, 07 Mar 2015 14:01:15 +0100

memcached (1.4.21-1) unstable; urgency=medium

  * New upstream release
  * Use autotools-dev instead of dh_autoreconf, backup upstream files updated
  * Patching configure.ac no more needed
  * Don't run t/whitespace.t as .git in packaging report false positive

 -- Guillaume Delacour <gui@iroqwa.org>  Thu, 23 Oct 2014 21:56:13 +0200

memcached (1.4.20-1) unstable; urgency=medium

  * New upstream release: (Closes: #733588)
    - Includes fix for CVE-2013-7291 (Closes: #735314)
    - Fix build for arm64 port (Closes: #761027, #721203)
  * Add myself to Uploaders
  * Provide scripts/damemtop, scripts/mc_slab_mover
  * README is now README.md
  * Suggests perl modules used by the new scripts
  * Packaging updates:
    - Switch to debhelper 9 and use source format 3.0
    - remove dpkg-dev and quilt Build-Deps,
    - add adduser dependency
    - use all hardening options
    - remove unnecessary debian/README.source
    - update debian/copyring to use the machine-readable format
  * Bumped policy version to 3.9.6 (no changes needed)
  * Use dedicated memcache user instead of nobody, thanks Clint Byrum
    (Closes: #587797)
  * Use DEP-8 to test the package, thanks Yolanda Robla (Closes: #710015)
  * Update description to remove "A" article and change Homepage
  * Handle end of line comments in memcached.conf (Closes: #683144)
  * Update debian/watch to track memcached.org (github has old 1.6.0-beta1)
  * Update upstream manpage to add missing options (Closes: #685800)
  * Add Vcs-{Git,Browser}
  * Provide systemd support.
  * Provide the status for several instances in scripts/memcached-init, if
    the script is used. (Closes: #709163, LP: #1177398)

  [ Ana Beatriz Guerrero Lopez ]
  * As discussed with David by IRC, sponsor the package with Guillaume
    co-maintaining.
  * Add the stanza "XS-Testsuite: autopkgtest" in debian/control
  * Acknowledge old NMUs from Arno Töll. (Closes: #641770, #672125)

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 04 Oct 2014 15:19:45 +0200

memcached (1.4.13-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add 06_CVE-2011-4971.patch patch.
    CVE-2011-4971: Fix remote denial of service. Sending a specially
    crafted packet cause memcached to segfault. (Closes: #706426)
  * Add 07_CVE-2013-7239.patch patch.
    CVE-2013-7239: SASL authentication allows wrong credentials to access
    memcache. (Closes: #733643)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 Dec 2013 17:47:44 +0100

memcached (1.4.13-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add 05_fix-buffer-overrun_when_logging_keys.patch patch
    [SECURITY] CVE-2013-0179: DoS due to buffer overrun when printing out keys
    to be deleted in verbose mode. (Closes: #698231).

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Jan 2013 21:22:09 +0100

memcached (1.4.13-0.1) unstable; urgency=low

   * Non-maintainer upload.
     + Include changes of my previous NMU (filed as #641770 back then)
   * Package new upstream release
     + this fixes "Please package upstream version 1.4.13" (Closes: #667746)
     + enable support for SASL authentication in debian/rules and add
       build-dependencies accordingly (Closes: #616148)
     + Include support for "-o maxconns_fast" which causes clients not to block
       for a long time on busy servers
   * Build package with hardened build flags. Thanks to Moritz Muehlenhoff for
     providing a patch. Moreover, add a build-dependency for dpkg-dev (>=
     1.15.7) for people considering to make a backport on very old systems
     (Closes: #655134)
   * Update patches:
     + 03_fix_ftbfs4hurd.patch: Refresh hunk offsets, leave changes untouched
     + Drop 04_fix_double_fork_in_start-memcached.patch: applied upstream
     + Apply patch supplied by Clint Byrum as 04_add_init_retry.patch which
       causes start-stop-daemon to wait up to 5 seconds upon termination of
       memached (Closes: #659300)

 -- Arno Töll <arno@debian.org>  Tue, 08 May 2012 19:24:27 +0200

memcached (1.4.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Refresh patches, keep all changed hunks except some changes in
    `01_init_script_additions.patch' untouched.
  * New upstream release. Closes:
    - "FTBFS: memcached.c:1023:16: error: dereferencing type-punned
      pointer will break strict-aliasing rules" (Closes: #618096)
    - "ftbfs with gcc-4.6 -Werror" (Closes: #625397)
    - "FTBFS with libevent 2.0 in experimental" This is actually a duplicate
      of #625397 above (Closes: #632764)
    - Fix "please package new upstream release" (Closes: #641059)
  * Fix "Fix FTBFS on hurd-i386" add proposed patch as


=== debian/control ===
Source: memcached
Section: web
Priority: optional
Maintainer: David Martínez Moreno <ender@debian.org>
Uploaders: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9), libevent-dev, libsasl2-dev, adduser,
               autotools-dev, dh-systemd (>= 1.5)
Homepage: http://www.memcached.org/
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/memcached.git
Vcs-Git: git://anonscm.debian.org/collab-maint/memcached.git

Package: memcached
Architecture: any
Depends: ${shlibs:Depends}, perl, ${misc:Depends}, lsb-base (>= 3.2-13),
         adduser
Suggests: libcache-memcached-perl, libmemcached, libanyevent-perl,
          libyaml-perl, libterm-readkey-perl
Description: high-performance memory object caching system
 Danga Interactive developed memcached to enhance the speed of LiveJournal.com,
 a site which was already doing 20 million+ dynamic page views per day for 1
 million users with a bunch of webservers and a bunch of database servers.
 memcached dropped the database load to almost nothing, yielding faster page
 load times for users, better resource utilization, and faster access to the
 databases on a memcache miss.
 .
 memcached optimizes specific high-load serving applications that are designed
 to take advantage of its versatile no-locking memory access system. Clients
 are available in several different programming languages, to suit the needs
 of the specific application. Traditionally this has been used in mod_perl
 apps to avoid storing large chunks of data in Apache memory, and to share
 this burden across several machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

PKGBASE=debian/memcached/usr/share/memcached
SCRIPTS=$(PKGBASE)/scripts
UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
	doc/Makefile

override_dh_autotools-dev_updateconfig:
	# backup upstream autotools automatically generated files
	$(foreach var,$(UPSTREAM_AUTOCONF_GENERATED_FILES), \
		cp -f $(var) $(var).bak;)
	dh_autotools-dev_updateconfig

override_dh_auto_configure:
	dh_auto_configure -- --enable-sasl

override_dh_auto_install:
	dh_auto_install
	install -m 644 $(CURDIR)/debian/memcached.conf \
		$(CURDIR)/$(PKGBASE)/memcached.conf.default
	install -m 744 $(CURDIR)/scripts/start-memcached $(SCRIPTS)
	install -m 755 $(CURDIR)/debian/systemd-memcached-wrapper $(SCRIPTS)
	install -m 744 $(CURDIR)/scripts/memcached-tool $(SCRIPTS)
	install -m 755 $(CURDIR)/scripts/memcached-init \
		$(CURDIR)/debian/memcached.init
	install -m 755 $(CURDIR)/scripts/damemtop $(SCRIPTS)
	install -m 644 $(CURDIR)/scripts/damemtop.yaml $(SCRIPTS)
	install -m 644 $(CURDIR)/scripts/README.damemtop $(SCRIPTS)
	install -m 755 $(CURDIR)/scripts/mc_slab_mover $(SCRIPTS)

override_dh_autotools-dev_restoreconfig:
	dh_autotools-dev_restoreconfig
	# restore upstream autotools automatically generated files
	$(foreach var,$(UPSTREAM_AUTOCONF_GENERATED_FILES), \
		[ ! -f $(var).bak ] || cp -f $(var).bak $(var);)

%:
	dh $@ --parallel --with autotools_dev,systemd

=== debian/tests/control ===
Tests: daemon
Depends: memcached
Restrictions: needs-root

## memcached 1.4.24

=== doc/Makefile ===
--- 
+++ 
@@ -181,10 +181,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.4.21
+PACKAGE_STRING = memcached 1.4.24
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.4.21
+PACKAGE_VERSION = 1.4.24
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -192,7 +192,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.4.21
+VERSION = 1.4.24
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc

=== debian/changelog ===
memcached (1.4.24-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes: (LP: #1462747)
    - debian/patches/fix-distribution.patch: added patch to show
      distribution on version (updated to make merging easier)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2015 08:52:11 -0400

memcached (1.4.24-2) unstable; urgency=medium

  * Refresh 06_eol_comment_handling.patch and debian/systemd-memcached-wrapper
    to handle "\#" value for -D flag
  * debian/rules: remove package generated memcached.init file

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 18 Jul 2015 15:59:52 +0000

memcached (1.4.24-1) unstable; urgency=medium

  * New upstream release, refresh 07_disable_tests.patch
  * debian/control: Remove XS-Testsuite as dpkg now recognize this header
  * debian/tests: test the daemon by creating, getting, and flushing keys

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 23 May 2015 16:15:23 +0200

memcached (1.4.14-0ubuntu9) trusty; urgency=low

  * SECURITY UPDATE: denial of service via large body length
    - debian/patches/CVE-2011-4971.patch: check length in memcached.c,
      added test to t/issue_192.t.
    - CVE-2011-4971
  * SECURITY UPDATE: denial of service when using -vv
    - debian/patches/CVE-2013-0179.patch: properly format key in items.c,
      memcached.c.
    - CVE-2013-0179
  * SECURITY UPDATE: SASL authentication bypass
    - debian/patches/CVE-2013-7239.patch: explicitly record sasl auth
      states in memcached.*, added test to t/binary-sasl.t.
    - CVE-2013-7239
  * debian/memcached.postinst: don't create home directory so we don't end
    up with /nonexistent. Thanks to Dustin Lundquist for patch.
    (LP: #1255328)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Jan 2014 15:48:48 -0500

memcached (1.4.14-0ubuntu8) trusty; urgency=low

  * Revert unnecessary deltas added to patches compared to Debian.
  * Revert use of dh-autoreconf and patch configure manually to
    match configure.ac, as this package despises modern autotools.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 Nov 2013 23:16:44 +0000

memcached (1.4.14-0ubuntu7) trusty; urgency=low

  * debian/rules: Fix the previous fixes a little harder, so they work.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 Nov 2013 22:49:46 +0000

memcached (1.4.14-0ubuntu6) trusty; urgency=low

  * debian/rules: Shuffle things around so that dh_autoreconf is always
    run before dh_quilt_patch.  Fixes FTBFS with dpkg-buildpackage -B.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 14 Nov 2013 17:05:29 -0500

memcached (1.4.14-0ubuntu5) trusty; urgency=low

  * debian/control: added lsb-release, dh-autoreconf to build depends
  * debian/rules: run autoreconf
  * debian/patches/fix-distribution.patch: added patch to show
    distribution on version

 -- Yolanda Robla <yolanda.robla@canonical.com>  Wed, 13 Nov 2013 13:50:59 +0100

memcached (1.4.14-0ubuntu4) saucy; urgency=low

  * Move dh_quilt_apply into configure step so that config.{sub,guess}
    patches get applied before running configure. (LP: #1218114)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 29 Aug 2013 20:28:20 -0400

memcached (1.4.14-0ubuntu3) saucy; urgency=low

  * Update config.{guess,sub} for Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2013 13:52:58 +0200

memcached (1.4.14-0ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 11:27:24 +0200

memcached (1.4.14-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * d/p/60_fix_racey_test.patch: Dropped, applied upstream.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 23 Aug 2012 13:52:39 -0700

memcached (1.4.13-0.1ubuntu3) quantal; urgency=low

  * d/p/start-memcached-fix-hash.patch: Change regex to make sure 
    inline comments can function per feedback from upstream. Passing
    "#" to arguments now requires escaping with \.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 31 Jul 2012 14:40:31 -0700

memcached (1.4.13-0.1ubuntu2) quantal; urgency=low

  * d/p/start-memcached-fix-hash.patch: Apply patch to allow passing
    # as a value for memcached options such as -D to use # as a prefix
    delimiter for stats collection. (LP: #1005821)

 -- Clint Byrum <clint@fewbar.com>  Sun, 29 Jul 2012 00:14:09 -0700

memcached (1.4.13-0.1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run as 'memcache' user instead of nobody.
    - Depend on adduser for preinst/postrm.
    - Create user in postinst.
    - d/rules: run test suite on build.
    - d/patches/50_fix_racey_test.patch: Cherry picked patch from
      upstream bug tracker which endeavours to avoid the race condition.
      Thanks to Clint Byrum for this fix.
    - d/patches/50_add_init_retry.patch: Dropped - superceeded by Debian
      patch.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 15:21:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: memcached
 Section: web
 Priority: optional
-Maintainer: David Martínez Moreno <ender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
 Uploaders: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9), libevent-dev, libsasl2-dev, adduser,
                autotools-dev, dh-systemd (>= 1.5)
 Homepage: http://www.memcached.org/
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/memcached.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/memcached.git

=== debian/rules ===
--- 
+++ 
@@ -41,5 +41,9 @@
 	$(foreach var,$(UPSTREAM_AUTOCONF_GENERATED_FILES), \
 		[ ! -f $(var).bak ] || cp -f $(var).bak $(var);)
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm --force $(CURDIR)/debian/memcached.init
+
 %:
 	dh $@ --parallel --with autotools_dev,systemd

## memcached 1.4.25

=== doc/Makefile ===
--- 
+++ 
@@ -77,7 +77,6 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-unknown-linux-gnu
 host_triplet = x86_64-unknown-linux-gnu
-target_triplet = x86_64-unknown-linux-gnu
 #am__append_1 = protocol-binary.txt protocol-binary-range.txt
 subdir = doc
 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
@@ -181,10 +180,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.4.24
+PACKAGE_STRING = memcached 1.4.25
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.4.24
+PACKAGE_VERSION = 1.4.25
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -192,7 +191,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.4.24
+VERSION = 1.4.25
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
@@ -241,11 +240,7 @@
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-target = x86_64-unknown-linux-gnu
 target_alias = 
-target_cpu = x86_64
-target_os = linux-gnu
-target_vendor = unknown
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
@@ -356,3 +351,5 @@
 	    if test -d "$(distdir)/$$file"; then \
 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 	    fi; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== debian/changelog ===
memcached (1.4.25-2ubuntu1.5) xenial-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer over-read
    - debian/patches/CVE-2019-15026.patch: fix strncpy call to
      avoid ASAN violation in memcached.c.
    - CVE-2019-15026

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 05 Sep 2019 11:59:55 -0300

memcached (1.4.25-2ubuntu1.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow in items.c:item_free()
    - debian/patches/CVE-2018-1000127.patch: Don't overflow item refcount
      on get in memcached.c.
    - CVE-2018-1000127

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 19 Mar 2018 10:15:02 -0400

memcached (1.4.25-2ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service due to integer overflow
    - debian/patches/CVE-2017-9951.patch: check for integer overflow on
      key requests
    - CVE-2017-9951
  * SECURITY UPDATE: disable listening on UDP port by default due to
    use in DDoS amplification attacks
    - debian/patches/disable-udp-by-default.patch: disable UDP port by
      default. (LP: #1752831)
    - debian/NEWS: add explanation and document how to re-enable UDP if
      necessary.
    - CVE-2018-1000115

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 05 Mar 2018 01:08:38 -0800

memcached (1.4.25-2ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflow vulnerabilities
    - debian/patches/CVE-2016-870x.patch: check nbytes and nkey in items.c,
      properly handle lengths in memcached.c.
    - CVE-2016-8704
    - CVE-2016-8705
    - CVE-2016-8706
  * debian/patches/always_enable_alignment.patch: fix FTBFS on armhf.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Nov 2016 08:08:44 -0400

memcached (1.4.25-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable (LP: #1556304). Remaining changes:
    - debian/patches/fix-distribution.patch: added patch to show
      distribution on version (updated to make merging easier)
  * Drop:
    - debian/patches/disable_slabs_test.patch: disable unreliable test.
      + Merged in Debian 1.4.25-2.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 11 Mar 2016 14:07:54 -0800

memcached (1.4.25-2) unstable; urgency=medium

  * debian/patches/08_disable_slabs_test.patch: disable t/slabs-reassign2.t
    which is unreliable and cause FTBFS, thanks Marc Deslauriers
    (Closes: #813593)
  * Change Vcs-{Browser,Git} to use https instead of http/git

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 05 Feb 2016 13:15:26 +0100

memcached (1.4.25-1ubuntu2) xenial; urgency=medium

  * debian/patches/disable_slabs_test.patch: disable unreliable test.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2016 10:47:19 -0500

memcached (1.4.25-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-distribution.patch: added patch to show
      distribution on version (updated to make merging easier)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Jan 2016 09:43:27 -0500

memcached (1.4.25-1) unstable; urgency=medium

  * New upstream release, refresh 02_manpage_additions.patch
  * Use autoreconf in addition of autotools, to regenerate build system and not
    stick on older autoreconf versions

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 28 Dec 2015 18:01:46 +0100

=== debian/tests/control ===
Tests: daemon client.pl
Depends: memcached
Restrictions: needs-root

=== debian/watch ===
version=3
http://memcached.org/downloads (?:|.*/)memcached(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## memcached 1.4.33

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.14.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # doc/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -14,7 +14,17 @@
 
 
 
-am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
 am__make_running_with_option = \
   case $${target_option-} in \
       ?) ;; \
@@ -75,16 +85,16 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 #am__append_1 = protocol-binary.txt protocol-binary-range.txt
 subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
 	$(top_srcdir)/m4/c99-backport.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
@@ -140,15 +150,16 @@
 NROFF = nroff
 MANS = $(man_MANS)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.14
+ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AUTOCONF = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoconf
 AUTOHEADER = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoheader
-AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.14
+AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.15
 AWK = gawk
-CC = gcc -std=gnu99
+CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2 -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
 CPP = gcc -E
@@ -180,10 +191,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.4.25
+PACKAGE_STRING = memcached 1.4.33
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.4.25
+PACKAGE_VERSION = 1.4.33
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -191,8 +202,8 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.4.25
-XML2RFC = no
+VERSION = 1.4.33
+XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = no
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
 abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
@@ -205,22 +216,22 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
 build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-unknown-linux-gnu
+host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -236,6 +247,7 @@
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
+runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -264,7 +276,6 @@
 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
 	$(am__cd) $(top_srcdir) && \
 	  $(AUTOMAKE) --foreign doc/Makefile
-.PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
 	  *config.status*) \
@@ -351,5 +362,3 @@
 	    if test -d "$(distdir)/$$file"; then \
 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== debian/changelog ===
memcached (1.4.33-1ubuntu3.3) artful-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow in items.c:item_free()
    - debian/patches/CVE-2018-1000127.patch: Don't overflow item refcount
      on get in memcached.c.
    - CVE-2018-1000127

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 19 Mar 2018 10:12:13 -0400

memcached (1.4.33-1ubuntu3.2) artful-security; urgency=medium

  * SECURITY UPDATE: denial of service due to integer overflow
    - debian/patches/CVE-2017-9951.patch: check for integer overflow on
      key requests
    - CVE-2017-9951
  * SECURITY UPDATE: disable listening on UDP port by default due to
    use in DDoS amplification attacks
    - debian/patches/disable-udp-by-default.patch: disable UDP port by
      default. (LP: #1752831)
    - debian/NEWS: add explanation and document how to re-enable UDP if
      necessary.
    - CVE-2018-1000115
  * debian/patches/fix-compiler-warning.patch: fix compilation warning
    with gcc-7 that causes FTBFS.
  * debian/rules: disable tests on armhf, to prevent the build hanging.

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 05 Mar 2018 01:29:48 -0800

memcached (1.4.33-1ubuntu3) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:47:12 +0000

memcached (1.4.33-1ubuntu2) zesty; urgency=medium

  * debian/patches/disable_watcher_test.patch: disable unreliable test.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Feb 2017 14:57:25 -0500

memcached (1.4.33-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-distribution.patch: added patch to show
      distribution on version
    - debian/patches/always_enable_alignment.patch: Force alignment on in
      configure.ac.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Dec 2016 08:29:12 -0500

memcached (1.4.33-1) unstable; urgency=medium

  * New upstream release, fix CVE-2016-8704, CVE-2016-8705, CVE-2016-8706

 -- Guillaume Delacour <gui@iroqwa.org>  Thu, 03 Nov 2016 01:50:27 +0100

memcached (1.4.31-1) unstable; urgency=medium

  * New upstream release, drop merged upstream:
    + 02_manpage_additions.patch
    + 06_eol_comment_handling.patch

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 21 Aug 2016 18:45:21 +0200

memcached (1.4.29-1) unstable; urgency=medium

  * New upstream release
    + Drop removal of t/slabs-reassign2.t (fixed upstream)
    + Fix ancient binprot bug with sets resulting in OOM (Closes: #831253)
  * 02_manpage_additions.patch: Add -V option, remove merged upstream -b
    clean useless spaces before forwarding all other changes upstream

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 01 Aug 2016 23:00:12 +0200

memcached (1.4.28-1) unstable; urgency=medium

  * New upstream release
   + Drop accepted upstream patches 03_fix_ftbfs4hurd.patch
   + Refresh patch 07_disable_tests.patch
  * Bumped policy version to 3.9.8 (no changes needed)
  * Set Documentation key to memcached(1) for systemd unit file

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 02 Jul 2016 23:22:15 +0200

memcached (1.4.25-2ubuntu3) zesty; urgency=medium

  * SECURITY UPDATE: multiple integer overflow vulnerabilities
    - debian/patches/CVE-2016-870x.patch: check nbytes and nkey in items.c,
      properly handle lengths in memcached.c.
    - CVE-2016-8704
    - CVE-2016-8705
    - CVE-2016-8706

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Nov 2016 08:05:05 -0400

memcached (1.4.25-2ubuntu2) yakkety; urgency=medium

  * debian/patches/always_enable_alignment.patch: Force alignment on in
    configure.ac.  Closes LP: #1630742.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 05 Oct 2016 13:00:51 -0700

=== debian/rules ===
--- 
+++ 
@@ -45,5 +45,10 @@
 	dh_auto_clean
 	rm --force $(CURDIR)/debian/memcached.init
 
+override_dh_auto_test:
+ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
+	dh_auto_test
+endif
+
 %:
-	dh $@ --parallel --with autotools_dev,systemd
+	dh $@ --parallel --with autotools_dev,systemd,autoreconf
